import { OnResendSignup } from '../../events/OnResendSignup';
import { Alert } from 'react-native';
export const OnResendSignupPress = (state, setState) => {
    const { email } = state.userInput;
    if (_.isNil(email)) {
        this.setState({ message: 'Please enter username' });
        return;
    }
    const sendButton = {
        text: 'OK',
        onPress: () => OnResendSignup(email),
    };
    Alert.alert('Confirm', 'Re-send code?', [sendButton], { cancelable: true });
};
export default OnResendSignupPress;
//# sourceMappingURL=OnResendSignupPress.js.map